/*
Licensed Materials - Property of IBM
5900-A2A
© Copyright IBM Corporation 2020. All Rights Reserved.
This sample program is provided AS IS and may be used, executed, copied and modified without royalty payment by customer
(a) for its own instruction and study, (b) in order to develop applications designed to run with an IBM product,
either for customer's own internal use or for redistribution by customer, as part of such an application, in customer's
own products.
*/

package model;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import java.util.List;


@JsonInclude(JsonInclude.Include.NON_NULL)
public class Group {

	@JsonProperty("name")
	String name;

	@JsonProperty("base_dn")
	String base_dn;

	@JsonProperty("group_members")
	List<Member> group_members;

	@JsonProperty("name")
	public String getName() {
		return name;
	}

	@JsonProperty("name")
	public void setName(String name) {
		this.name = name;
	}

	@JsonProperty("base_dn")
	public String getBase_dn() {
		return base_dn;
	}

	@JsonProperty("base_dn")
	public void setBase_dn(String base_dn) {
		this.base_dn = base_dn;
	}

	@JsonProperty("group_members")
	public List<Member> getMembers() {
		return group_members;
	}

	@JsonProperty("group_members")
	public void setMembers(List<Member> members) {
		this.group_members = members;
	}

}
